Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

Create a contact

POST/contacts
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Request body
requiredapplication/json
first_namestringrequired
last_namestringrequired
emailstring<email>required
phonestring
companystring
titlestring
statusContactStatus
Allowed:activeinactivelead
notesstring
tagsstring[]
Responses
200

Created

idstringrequired
400

Invalid request parameters

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST "https://api.seal.nyc/api/v1/contacts" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "first_name": "string",
  "last_name": "string",
  "email": "user@example.com",
  "phone": "string",
  "company": "string",
  "title": "string",
  "status": "active",
  "notes": "string",
  "tags": [
    "string"
  ]
}'
Response
{
  "id": "string"
}